ISOINFO(1)

NOM
devdump, isoinfo, isovfy, isodump — Utilitaires pour vérifier des images ISO 9660 ou extraire leur contenu

SYNOPSIS
devdump image_iso

isodump image_iso

isoinfo [ -d ] [ -h ] [ -R ] [ -J ] [ -j jeu_de_caractères ] [ -f ] [ -l ] [ -p ] [ -T secteur ] [ -N secteur ] [ -i image_iso ] [ -x chemin ]

isovfy image_iso

DESCRIPTION
devdump est un utilitaire basique permettant d’afficher le contenu d’un périphérique (fichier /dev/xxx) ou d’images de système de fichiers. Le premier écran affiche les 256 premiers octets du premier secteur de 2048 octets. Les commandes sont les mêmes que celles de isodump.

isodump est un utilitaire basique permettant d’afficher interactivement le contenu d’images ISO 9660 pour vérifier l’intégrité de leur arborescence. Le premier écran affiche la première partie du répertoire racine et l’invite montre le numéro de segment (« extent ») et la position dans ce segment.

    Les commandes a et b permettent de se déplacer vers l’arrière ou vers l’avant dans l’image. La commande g permet de se déplacer vers un segment quelconque et la commande f permet de spécifier une chaîne de recherche à utiliser. La commande + recherche vers l’avant la prochaine instance de la chaîne recherchée et la commande q permet de quitter devdump ou isodump.

isoinfo est un utilitaire permettant d’afficher le contenu d’images ISO 9660 sous forme d’arborescence.

isovfy est un utilitaire permettant de vérifier l’intégrité d’une image ISO 9660. La plupart des tests effectués par isovfy ont été ajoutés suite à la découverte de bogues dans les premières versions de genisoimage(1). Son utilité actuelle n’est pas clairement établie, mais son existence ne nuit pas.

OPTIONS
Les options communes à tous les utilitaires sont -help, -h, -version, i=nom et dev=nom. L’utilitaire isoinfo possède des options de ligne de commande supplémentaires. Les options sont :

-help

-h  Afficher un récapitulatif de toutes les options.

-d  Afficher des informations issues du descripteur de volume primaire (primary volume descriptor — PVD) de l’image ISO 9660. Il s’agit d’informations sur les extensions Rock Ridge et Joliet, et à propos de l’amorçage Eltorito, si présents.

-f  Générer une sortie comme si une commande « find . -print » avait été exécutée sur l’image ISO 9660. Ne pas utiliser l’option -l en même temps que l’option -f.

-i image_iso
    Spécifier le chemin de l’image ISO 9660 que l’on veut examiner. Les options -i et dev=id sont mutuellement exclusives.

dev=id
    Définir l’identifiant SCSI du lecteur ; voir remarques ci-avant. dev=6,0 est un exemple typique de spécification de lecteur. Si un nom de fichier doit être fourni avec l’identifiant numérique, il sera spécifique à l’implémentation. Dans ce cas, le nom de fichier correct pourra être trouvé dans les manuels spécifiques du système d’exploitation cible. Sur un système FreeBSD sans prise en charge de CAM, il est nécessaire d’utiliser un dispositif de contrôle. Par exemple, avec le dispositif de contrôle /dev/rcd0.ctl, la spécification de lecteur correcte sera dev=/dev/rcd0.ctl:@ .

    Sous Linux, les lecteurs connectés à un adaptateur de port parallèle sont associés à un bus SCSI virtuel. Les différents adaptateurs sont associés à différentes cibles sur ce bus SCSI virtuel.

    Si aucune option dev n’est présente, l’utilitaire tentera d’obtenir l’identifiant du lecteur depuis la variable d’environnement CDR_DEVICE.

    Si l’argument de l’option dev= ne contient pas de caractère « , », « / », « @ » ou « : », il est interprété comme un nom d’étiquette qui peut être trouvé dans le fichier /etc/wodim.conf (voir la section FICHIERS).

    Les options -i et dev=id sont mutuellement exclusives.

-l  Générer une sortie comme si la commande ls -lR avait été exécutée sur l’image ISO 9660. Ne pas utiliser l’option -f en même temps que l’option -l.

-N secteur
    Astuce rapide pour examiner les fichiers disque à session unique qui doivent être écrits sur un disque multisession. Le numéro de secteur spécifié est celui sur lequel l’image ISO 9660 doit être écrite lors de son envoi au graveur de CD. Cette option n’est pas utilisée lors de la première session sur le disque.

-p  Afficher des informations à propos de la table de chemins.

-R  Extraire des informations depuis les extensions Rock Ridge (si présentes) à propos des permissions, noms de fichier et propriétaires.

-J  Extraire des informations depuis les extensions Joliet (si présentes) à propos des noms de fichier.

-j jeu_de caractères
    Convertir les noms de fichier de l’extension Joliet (si présente) vers le jeu de caractères spécifié. Voir genisoimage(8) pour les détails.

-T secteur
    Astuce rapide pour examiner les images multisession qui ont déjà été gravées sur un disque multisession. Le numéro de secteur spécifié est celui du début de la session à afficher.

-x chemin
    Extraire le fichier spécifié et l’afficher sur la sortie standard.

AUTEUR
L’auteur du code source original (1993 ... 1998) est Eric Youngdale <ericy@gnu.ai.mit.edu> ou <eric@andante.jic.com> est le responsable de ces bricolages de piètre qualité. Joerg Schilling a écrit la bibliothèque de transport SCSI et sa couche d’adaptation aux programmes et aux parties plus récentes des utilitaires (à partir de 1999), ce qui leur confère le Copyright (C) 1999-2004 Joerg Schilling. Des correctifs permettant d’améliorer l’utilisabilité générale seraient grandement appréciés.

Cette page de manuel décrit l’implémentation de isoinfo fournie avec la suite cdrkit. Voir http://alioth.debian.org/projects/debburn/ pour les détails. Il s’agit d’une branche issue du programme originel distribué avec le paquet crdtools [1]. Cependant, les développeurs de crdtools ne sont pas impliqués dans le développement de cette branche et ne peuvent donc pas être mis en cause pour tout problème qu’elle pourrait créer. N’essayez pas de contacter le(s) auteur(s) originel(s) pour obtenir de l’aide à propos de ce programme.

Pour les questions, soumettez-les à

debburn-devel@lists.alioth.debian.org

Si vous avez trouvé un bogue de façon certaine, envoyez un courriel à

submit@bugs.debian.org

en écrivant au moins une courte description dans le Sujet et "Package: cdrkit" dans la première ligne du corps du message.

BOGUES
L'interface utilisateur n’est vraiment pas conviviale.

AMÉLIORATIONS FUTURES
Ces utilitaires sont assurément des bricolages rapides qui sont très utiles pour le débogage de problèmes dans genisoimage(8) ou un système de fichiers ISO 9660. À long terme, il serait appréciable de pouvoir disposer d’un démon qui exporterait une image ISO 9660 sous NFS.

isoinfo est probablement le programme le plus utile pour l’utilisateur lambda.

DISPONIBILITÉ
Ces utilitaires sont fournis avec le paquet cdrkit qui peut être téléchargé depuis le site principal http://debburn.alioth.debian.org/ et les miroirs FTP des distributions. Malgré son nom, le logiciel n'est pas en version bêta.

ENVIRONNEMENT

CDR_DEVICE
    Cette variable peut contenir soit un identifiant de périphérique utilisable par l’appel open de la bibliothèque de transport SCSI, soit une étiquette issue du fichier /etc/wodim.conf.

RSH Si la variable d’environnement RSH est définie, la connexion à distance sera créée en appelant le programme qu’elle indique à la place de rcmd(3). Par exemple, pour créer une connexion « secure shell », définissez la variable d’environnement RSH comme suit : RSH=/usr/bin/ssh.

    Notez que cela force le programme à créer un tube (pipe) vers le programme rsh(1) et interdit au programme d’accéder directement au serveur distant à travers le socket réseau, ce qui empêche de régler les paramètres de performance et ralentit la connexion par rapport à une connexion rcmd(3) initiée par le superutilisateur.

RSCSI
    Si la variable d’environnement RSCSI est définie, le serveur SCSI distant sera le programme indiqué par RSCSI à la place de /opt/schily/sbin/rscsi. Notez que le nom du programme du serveur SCSI distant sera ignoré si vous vous connectez en utilisant un compte qui a été créé avec un programme de serveur SCSI distant comme interpréteur de commande de connexion.

FICHIERS

/etc/wodim.conf
    Des valeurs par défaut peuvent être définies dans /etc/wodim.conf pour les options suivantes :

    CDR_DEVICE
        Cette variable peut contenir soit un identifiant de périphérique utilisable par l’appel open de la bibliothèque de transport SCSI, soit une étiquette issue du fichier /etc/wodim.conf qui permet d’identifier un lecteur spécifique sur le système.

    Toute autre étiquette
        est un identifiant pour un lecteur spécifique sur le système. Cet identifiant ne peut pas contenir les caractères « , », « / », « @ » ou « : ».

        Sur chaque ligne contenant une étiquette, cette dernière est suivie d’une liste d’items séparés par des tabulations. Quatre items sont actuellement reconnus : l’ID SCSI du lecteur, la vitesse par défaut et la taille de la file FIFO par défaut qui doivent être utilisées pour ce lecteur et des options spécifiques au lecteur. Les valeurs de speed (vitesse) et de fifosize (taille FIFO) peuvent être définies à -1 pour indiquer au programme qu’il doit utiliser les valeurs par défaut globales. La valeur de driveropts (options lecteur) peut être définie à "" si aucune option de lecteur n’est spécifiée. Une ligne typique pourra ressembler à ceci :

        teac1= 0,5,0    4    8m    ""

        yamaha= 1,6,0    -1    -1    burnfree

        La première ligne indique au programme qu’un lecteur nommé teac1 est sur le bus SCSI 0, en tant qu’ID 5 et unité logique numéro 0, et doit être utilisé à la vitesse 4 et posséder une taille de file FIFO de 8 Mo. La deuxième ligne indique qu’un second lecteur est sur le bus SCSI 1, en tant qu’ID 6 et unité logique numéro 0, et doit être utilisé avec la vitesse et la taille de file FIFO par défaut.

VOIR AUSSI
genisoimage(1), wodim(1), readcd(1), ssh(1).

SOURCES

[1] Cdrtools 2.01.01a08 à partir de mai 2006, http://cdrecord.berlios.de

TRADUCTION
La traduction française de cette page de manuel a été créée par Lucien Gentis <lucien.gentis@univ-lorraine.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.